JSON.Builder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.converters
[Java] Class JSON.Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              grails.converters.JSON.Builder

    public class JSON.Builder
    extends groovy.util.BuilderSupport

Constructor Summary
`JSON.Builder(JSON json)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object key, java.util.Map valueMap)`
`protected java.lang.Object` | `createNode(java.lang.Object arg0, java.util.Map arg1, java.lang.Object arg2)`
`protected java.lang.Object` | `createNode(java.lang.Object key, java.lang.Object value)`
`void` | `execute(groovy.lang.Closure callable)`
`protected void` | `nodeCompleted(java.lang.Object parent, java.lang.Object node)`
`protected void` | `setParent(java.lang.Object arg0, java.lang.Object arg1)`

Methods inherited from class groovy.util.BuilderSupport
groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### JSON.Builder

    public JSON.Builder(JSON json)

Method Detail

### createNode

    @java.lang.Override}
    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    @java.lang.SuppressWarnings}
    @java.lang.Override
    protected java.lang.Object createNode(java.lang.Object key, java.util.Map valueMap)

### createNode

    @java.lang.SuppressWarningsCollection c = (Collection)value;
    @java.lang.Overridewriter.key(String.valueOf(key));
    protected java.lang.Object createNode(java.lang.Object arg0, java.util.Map arg1, java.lang.Object arg2)

### createNode

    @java.lang.SuppressWarningsjson.convertAnother(value); //.value(value);
    @java.lang.Override}
    protected java.lang.Object createNode(java.lang.Object key, java.lang.Object value)

### execute

    public void execute(groovy.lang.Closure callable)

### nodeCompleted

    @java.lang.Overridethrow new IllegalArgumentException("invalid element on the stack");
    protected void nodeCompleted(java.lang.Object parent, java.lang.Object node)

### setParent

    @java.lang.Override
    protected void setParent(java.lang.Object arg0, java.lang.Object arg1)

Groovy Documentation